DRM_MODESET_LOCK_ALL(9)

NAME
drm_modeset_lock_all - take all modeset locks

SYNOPSIS

void drm_modeset_lock_all(struct drm_device * dev);

ARGUMENTS

dev
    drm device

DESCRIPTION

This function takes all modeset locks, suitable where a more fine-grained scheme isn't (yet) implemented. Locks must be dropped with drm_modeset_unlock_all.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT